Get all beneficiaries of a plan Run in API Explorer
Ask AI
Query parameters
-
Date to filter when the beneficiary was created after.
-
Date to filter when the beneficiary was created before.
-
Date to filter when the beneficiary was created after.
-
Date to filter when the beneficiary was created before.
-
Name to filter who the beneficiary is.
-
Percentage to filter the nominee percentage where 1 is equal to 100%.
-
Number of results to return with pagination (Default 15. Max 500).
-
Field to sort by. Valid fields are [created_at, updated_at, name, percentage]. Negative sign to denote DESC. Defaults to 'name'.
GET
/api/v1/plans/{plan_uuid}/beneficiary
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/beneficiary' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "78644cf1-4843-4707-a79c-fb032c217e37",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"name": "Beneficiary name",
"percentage": 50,
"cover": {
"uuid": "1c5cd069-4f47-40f0-85d8-3c085e7ef732",
"created_at": "2026-08-07T15:29:25+01:00",
"updated_at": "2026-08-07T15:29:25+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"indexation": 1.4,
"client": {
"uuid": "5a9609f8-00cf-4107-9b31-169e28e476f7",
"created_at": "2026-08-07T15:29:31+01:00",
"updated_at": "2026-08-07T15:29:31+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-08-07T15:29:31+01:00",
"next_review_date": "2026-08-07T15:29:31+01:00",
"previous_review_date": "2026-08-07T15:29:31+01:00",
"anniversary_review_date": "2026-08-07T15:29:31+01:00",
"terms_of_business_at": "2026-08-07T15:29:31+01:00",
"client_agreement_at": "2026-08-07T15:29:31+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-08-07",
"last_interaction_at": "2026-08-07 15:29:31",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-08-07T15:29:31+01:00",
"out_of_office_until": "2026-08-07T15:29:31+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
}
}
}
]
}